Bug 120234 - [MAINTAINER] x11-wm/xmonad: update to 0.6
Summary: [MAINTAINER] x11-wm/xmonad: update to 0.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alejandro Pulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-03 09:40 UTC by Matthieu Guegan
Modified: 2008-02-20 01:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.77 KB, patch)
2008-02-03 09:40 UTC, Matthieu Guegan
no flags Details | Diff
patch-x11-wm-xmonad (3.63 KB, text/plain; charset=us-ascii)
2008-02-07 17:11 UTC, Jacula Modyun
no flags Details
patch-x11-wm-xmonad (3.60 KB, text/plain; charset=us-ascii)
2008-02-08 11:55 UTC, Jacula Modyun
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Guegan 2008-02-03 09:40:01 UTC
This PR is a replacement for ports/119928 which was not diffed correctly from the CVS version..
So here is the update 0.4->0.6, I've added a small script to deinstall correctly xmonad from ghc. I strongly encourage a @portsmgr to review it (and change it if necessary)..

Fix: Patch attached with submission follows:
How-To-Repeat: Apply the diff below on your current ports tree
Comment 1 Jacula Modyun 2008-02-07 17:11:40 UTC
The pkg-list and the dependencies are incorrect.
Please, could you submit this patch?

Best Regards
Comment 2 Jacula Modyun 2008-02-08 11:55:55 UTC
I'm sorry, but I forgot to substitute the dependence

"hs-x11-extras-ghc>=0.4:${PORTSDIR}/x11/hs-x11-extras-ghc"

with the dependence

"hs-x11-ghc>=1.4.1:${PORTSDIR}/x11/hs-x11-ghc"

This last patch is the correct one.

Best regards
Comment 3 Alejandro Pulver freebsd_committer 2008-02-19 21:28:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

I'll take it.
Comment 4 Alejandro Pulver freebsd_committer 2008-02-20 01:10:29 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!